Imports System
Imports System.ComponentModel
Imports System.Drawing
Imports System.Windows.Forms
Imports System.Collections

Public Class ProductList
  Implements VisList
  'Klasa prezentacji produktów w postaci listy
  Private lst As ListBox
  '------------
  Private Sub addLine(ByVal p As Product) _
   Implements VisList.addLine
    lst.Items.Add(p.getName)
  End Sub
  '------------
  Public Sub New(ByVal c As ListBox)
    MyBase.New()
    lst = c                       'kopia referencji do listy
  End Sub
  '------------
  Public Sub removeLine(ByVal num As Integer) _
       Implements VisList.removeLine
    lst.Items.Remove(num)
  End Sub
End Class
